[ MDVSA-2014:216 ] php-ZendFramework

2014-12-01T00:00:00
ID SECURITYVULNS:DOC:31429
Type securityvulns
Reporter Securityvulns
Modified 2014-12-01T00:00:00

Description

-----BEGIN PGP SIGNED MESSAGE----- Hash: SHA1


Mandriva Linux Security Advisory MDVSA-2014:216 http://www.mandriva.com/en/support/security/


Package : php-ZendFramework Date : November 20, 2014 Affected: Business Server 1.0


Problem Description:

A vulnerability has been found and corrected in php-ZendFramework:

The (1) Zend_Ldap class in Zend before 1.12.9 and (2) Zend\Ldap component in Zend 2.x before 2.2.8 and 2.3.x before 2.3.3 allows remote attackers to bypass authentication via a password starting with a null byte, which triggers an unauthenticated bind (CVE-2014-8088).

The updated packages have been upgraded to the latest ZendFramework (1.12.9) version which is not vulnerable to this issue.


References:

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2014-8088 http://framework.zend.com/security/advisory/ZF2014-05 http://framework.zend.com/security/advisory/ZF2014-06


Updated Packages:

Mandriva Business Server 1/X86_64: 514385df5c9ad0fc6e625969278beb8d mbs1/x86_64/php-ZendFramework-1.12.9-1.mbs1.noarch.rpm 70759bda9cd803fbd5556252901341f3 mbs1/x86_64/php-ZendFramework-Cache-Backend-Apc-1.12.9-1.mbs1.noarch.rpm f46d8989d1db795b80b64d3cdd5eece1 mbs1/x86_64/php-ZendFramework-Cache-Backend-Memcached-1.12.9-1.mbs1.noarch.rpm 7e01e5f75dec30b85a57917367b2b66b mbs1/x86_64/php-ZendFramework-Captcha-1.12.9-1.mbs1.noarch.rpm c0d1e298ab9e0483b59d3f15d80bc302 mbs1/x86_64/php-ZendFramework-demos-1.12.9-1.mbs1.noarch.rpm 00c4bdf5b69c3b0d24edd1b2da71b8b4 mbs1/x86_64/php-ZendFramework-Dojo-1.12.9-1.mbs1.noarch.rpm 063b9102784acb11c4aa3a04b71305c5 mbs1/x86_64/php-ZendFramework-extras-1.12.9-1.mbs1.noarch.rpm 9293929258ad2f9c4e2ce72055438c7f mbs1/x86_64/php-ZendFramework-Feed-1.12.9-1.mbs1.noarch.rpm 6f1461db539da218838165ed71a66ea3 mbs1/x86_64/php-ZendFramework-Gdata-1.12.9-1.mbs1.noarch.rpm aa004458abde8f880bcb84654d53d890 mbs1/x86_64/php-ZendFramework-Pdf-1.12.9-1.mbs1.noarch.rpm 93717a9defc720f527f00d6994bf05da mbs1/x86_64/php-ZendFramework-Search-Lucene-1.12.9-1.mbs1.noarch.rpm 5e4d43d98e182b7836d647606c2e0c47 mbs1/x86_64/php-ZendFramework-Services-1.12.9-1.mbs1.noarch.rpm 88212e8ec6fc615950274a7d555a77c3 mbs1/x86_64/php-ZendFramework-tests-1.12.9-1.mbs1.noarch.rpm eab6decdfbe3ddbaa04f17adea432a21 mbs1/SRPMS/php-ZendFramework-1.12.9-1.mbs1.src.rpm


To upgrade automatically use MandrivaUpdate or urpmi. The verification of md5 checksums and GPG signatures is performed automatically for you.

All packages are signed by Mandriva for security. You can obtain the GPG public key of the Mandriva Security Team by executing:

gpg --recv-keys --keyserver pgp.mit.edu 0x22458A98

You can view other update advisories for Mandriva Linux at:

http://www.mandriva.com/en/support/security/advisories/

If you want to report vulnerabilities, please contact

security_(at)_mandriva.com


Type Bits/KeyID Date User ID pub 1024D/22458A98 2000-07-10 Mandriva Security Team <security*mandriva.com> -----BEGIN PGP SIGNATURE----- Version: GnuPG v1.4.12 (GNU/Linux)

iD8DBQFUbaV3mqjQ0CJFipgRAjKjAJ9rL6sQ2xZhDa310a6Oqso2uYn/3gCggh7I XdJfpvJDMvPBLYkTkb53+Ew= =zMy/ -----END PGP SIGNATURE-----